如何安装Cute主题,如何正确加载解密扩展

2020年7月22日 评论 518

今天在安装cute主题时候,跟着官方教程安装,发现了很多问题,有些语言非常不适合小白。经过一番折腾,安装成功,在此记录下,希望给后来安装的人一点帮助。

目前Cute主题的核心源码采用了PHP动态扩展加密解密,是需要php加载相关扩展才能正常运行的,所以使用这款主题,其服务器一定是要能编辑环境文件的才可以,某些虚拟主机,空间等是不能使用的。
**这一段大概意思就是,不支持虚拟主机空间使用此主题。

服务器要求

  • 服务器为云服务器或VPS。
  • 操作系统为Linux。
  • glibc组件版本大于2.14(centos7以上版本的glibc都满足要求,其他版本可自行升级组件)。

主题安装正确步骤

解压主题到wordpress主题目录——加载解密扩展——申请并填写授权码——最后在后台启用主题
注意:如果你在未加载解密的情况下启用了主题,务必在加载完后重新启用一遍主题,以便完成主题必要的部署。
**我当时就踩坑了,推荐的步骤是先加载扩展后,再启用主题。

选择扩展版本

以前主题是分多版本扩展来分享的,最新的主题应该都是包含多个扩展的,所以不用选择扩展版本。
**官方教程还没更新这段,其实不用管,下载主题包就好。

加载扩展到PHP

找到你的php.ini等PHP配置文件,LNMP一键安装包一般在/usr/local/bin/php/etc/php.ini,使用宝塔面板的直接在软件管理-对应的php版本设置-配置修改内直接添加,如果你不确定可以通过phpinfo信息查看当前应用的PHP配置文件路径。

个人建议使用宝塔面板,理由很简单,面板后台一目了然,也是搭建最简单的一种方法。

编辑php.ini等配置文件,在文件结尾加入下面2行:

[loader.so]
 
extension = 你的扩展绝对路径

此扩展仅linux能加载,地址包括根目录,如:

[loader.so]
 
extension = /www/wwwroot/你的网站目录/wp-content/themes/Cute/loader7.1.so

**这一段太容易踩坑了,直接复制没有用的,一定一定要看清楚自己服务器的php版本,然后加载对应版本的拓展。
注意:上面的loader7.1.so这段,版本需要改成你服务器的php版本,比如我用默认的5.6,就需要改成loader5.6.so

注意:使用面板的用户添加完代码后请在代码最后换行留空,防止之后添加新的扩展挤到同一行去导致出错。
保存配置文件的修改,重启PHP。使用LNMP的可以使用命令/etc/init.d/php-fpm restart重启,使用宝塔面板的请在面板中重启php。
**一定要重启PHP,不然就会绝望……(多么痛的领悟!)

完成重启后,请访问phpinfo文件查看PHP的信息,并查找关键字php_screw,如果找到记录则表明扩展加载成功了。

加载不成功处理

由于PHP版本众多,即便同一个子版本仍有多个发行版,PHP API数据均可能不同,建议使用标准版本,或直接使用宝塔面板。

接下来的事

安装解密拓展后,就可以在后台启用主题,并可以正常设置。

但是首页还是打不开的,至于如何申请并填写授权码,请自行购买并获取授权,然后填入主题选项里面,网站就可以正常使用了

WordPress编辑器如何给文章分页? 网页前端

WordPress编辑器如何给文章分页?

不知道为什么WordPress明明有文章分页功能,而编辑器却没有插入分页符的按钮,必须切换到文本模式输入<!--nextpage-->才能插入分页。可以通过下面的代码在编辑器上添加一个分页...
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: